import * as core from "@terrascript/core";

export interface SerialConsoleAccessArgs extends core.ResourceArgs {
  enabled?: boolean | core.BooleanOut;
}

export class SerialConsoleAccess extends core.Resource<SerialConsoleAccessArgs> {
  @core.attr(Boolean)
  public enabled?: boolean | core.BooleanOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  constructor(name: string, args?: SerialConsoleAccessArgs) {
    super(name, "aws_ec2_serial_console_access", args);
  }

  public override getNamespace(): string {
    return "aws_ec2";
  }
}
